Subject: Re: [Bitcoin-development] Looking for GREAT C++ developer for exciting opportunity in bitcoin space

From: "Luke-Jr" <[email-masked]>
Date: Tue, 31 Dec 2013 01:14:05 +0000

On Monday, December 30, 2013 11:22:25 PM Peter Todd wrote:
> that you are using merge-mining is a red-flag because without majority, or
> at least near-majority, hashing power an attacker can 51% attack your
> altcoin at negligible cost by re-using existing hashing power.

I strongly disagree on this isolated point. Using the same logic, Bitcoin is 
vulnerable to an attacker at negligible cost by re-using existing hashing 
power from mining Namecoin. Any non-scam altcoin is pretty safe using merged 
mining, since any would-be attacker is going to have it in their interests to 
invest in the altcoin instead of attacking it. It's only the scam ones that 
want to pump & dump with no improvements, that are really at risk here.

The rational decision for a non-scam altcoin, is to take advantage of merged 
mining to get as much security as possible. There are also some possible 
tricks to get the full security of the bitcoin miners even when not all 
participate in your altcoin (but this area probably needs some studying to get 
right).

Luke